$regfile = "m8def.dat"
$crystal = 8000000
$hwstack = 128
$swstack = 128
$framesize = 128
$lib "dcf77.lbx"

' ----- Konfiguration DCF77 -----
Config Dcf77 = Pind.2 , Timer = 1 , Timer1sec = 1 , Debug = 0 , Check = 1 , Update = 0 , Inverted = 1
Config Date = Dmy , Separator = .                           ' Datumsformat einstellen

Dim I As Integer
Dim Sec_old As Byte , Dcfsec_old As Byte , Dcf_wotag As Byte , Dcf_timezone As Word


'Config Portd.2 = Input                                      ' Portd.2 als Input deklarieren:
'Reset Portd.2

Enable Interrupts

' ----- Konfiguration LCD Display -----
Dim ___lcdno As Byte

Config Lcd = 40 * 4
Config Lcdpin = Pin , Db4 = Portd.0 , Db5 = Portd.1 , Db6 = Portd.3 , Db7 = Portd.4 , E = Portd.6 , E2 = Portd.7 , Rs = Portd.5
Config Lcdbus = 4


___lcdno = 0
Initlcd
Cursor Off Noblink
Cls

___lcdno = 1
Initlcd
Cursor Off Noblink
Cls

' berschrift ausgeben auf LCD-Display
___lcdno = 0

Locate 1 , 3
Lcd "--DCF77-Test  Mario V.3--"


Sec_old = 99 : Dcfsec_old = 99                              ': DCF_Debug_Timer = 0

If Dcfsec_old = 1 Then Time$ = Time(dcf_sec)
Sec_old = _sec
Dcfsec_old = Dcf_sec

' ################################################
' Arbeitsschleife
Do

For I = 1 To 78                                             ' 78
Waitms 10
If Dcfsec_old <> Dcf_sec Then
Exit For
End If

If Sec_old <> _sec Then
Exit For
End If
Next
Waitms 220





'Print Time$ ; " " ; Date$ ; " " ; Time(dcf_sec) ; " " ; Date(dcf_day) ; " " ; Bin(dcf_status) ; " " ; Bin(dcf_bits) ; " " ; Bdcf_impuls ; " " ; Bdcf_pause ; " "




'Obere Zwei Zeilen
   ___lcdno = 0
         Locate 2 , 2
            Lcd Time$

               Locate 2 , 15
                  Lcd "Zeitzone:"
                     Locate 2 , 24
                       Dcf_timezone = Dcf77timezone()
                         Lcd Lookupstr(dcf_timezone , Timezone)






'Wochentag und Datum auf LCD ausgeben 3.Zeile
___lcdno = 1
   Locate 1 , 1
     Dcf_wotag = Dayofweek()
     Lcd Lookupstr(dcf_wotag , Weekdays)

   Locate 1 , 15
   Lcd "den:"

   'Datum auf LCD ausgeben
   Locate 1 , 20
   Lcd Date(dcf_day)

   ' Ausgabe DCF--Zeit
   Locate 2 , 2
   Lcd Time(dcf_sec)

Loop

' ################################################
End

Weekdays:
Data "   Montag" , " Dienstag" , " Mittwoch" , " Donnerstag" , "  Freitag" , "   Samstag" , "  Sonntag"

Timezone:
Data "MESZ" , " MEZ"